// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "New AmplifyShader"
{
	Properties
	{
		_Cutoff( "Mask Clip Value", Float ) = 0.5
		_Texture0("Texture 0", 2D) = "white" {}
		_Texture1("Texture 1", 2D) = "white" {}
		_Float2("Float 2", Range( 0 , 1)) = 0
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "TransparentCutout"  "Queue" = "AlphaTest+0" "IgnoreProjector" = "True" "IsEmissive" = "true"  }
		Cull Back
		CGPROGRAM
		#pragma target 3.5
		#pragma surface surf Standard keepalpha addshadow fullforwardshadows 
		struct Input
		{
			float2 uv_texcoord;
		};

		uniform sampler2D _Texture0;
		uniform sampler2D _Texture1;
		uniform float _Float2;
		uniform float _Cutoff = 0.5;

		void surf( Input i , inout SurfaceOutputStandard o )
		{
			float2 uv_TexCoord74 = i.uv_texcoord * float2( 1,1 ) + float2( 0,0 );
			float temp_output_84_0 = ( 1600.0 / 900.0 );
			float temp_output_83_0 = (uv_TexCoord74.y*temp_output_84_0 + ( ( 1.0 - temp_output_84_0 ) / 2.0 ));
			float4 appendResult82 = (float4(uv_TexCoord74.x , temp_output_83_0 , 0.0 , 0.0));
			float4 lerpResult124 = lerp( tex2D( _Texture0, appendResult82.xy ) , tex2D( _Texture1, appendResult82.xy ) , _Float2);
			o.Emission = lerpResult124.rgb;
			o.Alpha = 1;
			clip( (( temp_output_83_0 >= 0.0 && temp_output_83_0 <= 1.0 ) ? 1.0 :  0.0 ) - _Cutoff );
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=13801
962;92;958;966;1960.768;675.1678;1.866221;True;False
Node;AmplifyShaderEditor.RangedFloatNode;127;-1319.881,215.2724;Float;False;Constant;_Float3;Float 3;4;0;900;0;0;0;1;FLOAT
Node;AmplifyShaderEditor.RangedFloatNode;128;-1333.383,119.261;Float;False;Constant;_Float4;Float 4;4;0;1600;0;0;0;1;FLOAT
Node;AmplifyShaderEditor.SimpleDivideOpNode;84;-1144.907,172.1705;Float;False;2;0;FLOAT;0.0;False;1;FLOAT;0.0;False;1;FLOAT
Node;AmplifyShaderEditor.OneMinusNode;85;-983.5982,263.5414;Float;False;1;0;FLOAT;0.0;False;1;FLOAT
Node;AmplifyShaderEditor.TextureCoordinatesNode;74;-1124.648,-109.8989;Float;False;0;-1;2;3;2;SAMPLER2D;;False;0;FLOAT2;1,1;False;1;FLOAT2;0,0;False;5;FLOAT2;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.SimpleDivideOpNode;86;-842.0153,225.7958;Float;False;2;0;FLOAT;0.0;False;1;FLOAT;2.0;False;1;FLOAT
Node;AmplifyShaderEditor.ScaleAndOffsetNode;83;-918.3972,46.66889;Float;False;3;0;FLOAT;0.0;False;1;FLOAT;1.0;False;2;FLOAT;-0.33;False;1;FLOAT
Node;AmplifyShaderEditor.TexturePropertyNode;123;-765.704,418.5021;Float;True;Property;_Texture1;Texture 1;2;0;Assets/New Render Texture.renderTexture;False;white;Auto;0;1;SAMPLER2D
Node;AmplifyShaderEditor.DynamicAppendNode;82;-732.4066,-88.20434;Float;False;FLOAT4;4;0;FLOAT;0.0;False;1;FLOAT;0.0;False;2;FLOAT;0.0;False;3;FLOAT;0.0;False;1;FLOAT4
Node;AmplifyShaderEditor.TexturePropertyNode;71;-948.5645,-421.676;Float;True;Property;_Texture0;Texture 0;1;0;None;False;white;Auto;0;1;SAMPLER2D
Node;AmplifyShaderEditor.SamplerNode;125;-412.507,420.1516;Float;True;Property;_TextureSample1;Texture Sample 1;3;0;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0.0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1.0;False;5;COLOR;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.RangedFloatNode;118;-407.4671,171.5188;Float;False;Constant;_Float0;Float 0;2;0;0;0;0;0;1;FLOAT
Node;AmplifyShaderEditor.SamplerNode;69;-600.6074,-431.425;Float;True;Property;_TextureSample0;Texture Sample 0;0;0;None;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0.0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1.0;False;5;COLOR;FLOAT;FLOAT;FLOAT;FLOAT
Node;AmplifyShaderEditor.RangedFloatNode;126;113.4646,32.10977;Float;False;Property;_Float2;Float 2;3;0;0;0;1;0;1;FLOAT
Node;AmplifyShaderEditor.RangedFloatNode;119;-409.1651,247.8844;Float;False;Constant;_Float1;Float 1;2;0;1;0;0;0;1;FLOAT
Node;AmplifyShaderEditor.TFHCCompareWithRange;92;163.78,-688.9461;Float;False;5;0;FLOAT;0.0;False;1;FLOAT;0.0;False;2;FLOAT;1.0;False;3;COLOR;0,0,0,0;False;4;COLOR;0,0,0,1;False;1;COLOR
Node;AmplifyShaderEditor.LerpOp;124;180.189,-184.9623;Float;False;3;0;COLOR;0.0;False;1;COLOR;0,0,0,0;False;2;FLOAT;0,0,0,0;False;1;COLOR
Node;AmplifyShaderEditor.TFHCCompareWithRange;117;-237.8004,102.4954;Float;False;5;0;FLOAT;0.0;False;1;FLOAT;0.0;False;2;FLOAT;1.0;False;3;FLOAT;0,0,0,0;False;4;FLOAT;0;False;1;FLOAT
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;0;475.3112,-150.4291;Float;False;True;3;Float;ASEMaterialInspector;0;0;Standard;New AmplifyShader;False;False;False;False;False;False;False;False;False;False;False;False;False;False;True;False;False;Back;0;0;False;0;0;Masked;0.5;True;True;0;False;TransparentCutout;AlphaTest;All;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;False;0;255;255;0;0;0;0;0;0;0;0;False;2;15;10;25;False;0.5;True;0;SrcAlpha;OneMinusSrcAlpha;0;Zero;Zero;OFF;OFF;0;False;0;0,0,0,0;VertexOffset;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;0;0;False;15;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0.0;False;4;FLOAT;0.0;False;5;FLOAT;0.0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0.0;False;9;FLOAT;0.0;False;10;FLOAT;0.0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;84;0;128;0
WireConnection;84;1;127;0
WireConnection;85;0;84;0
WireConnection;86;0;85;0
WireConnection;83;0;74;2
WireConnection;83;1;84;0
WireConnection;83;2;86;0
WireConnection;82;0;74;1
WireConnection;82;1;83;0
WireConnection;125;0;123;0
WireConnection;125;1;82;0
WireConnection;69;0;71;0
WireConnection;69;1;82;0
WireConnection;124;0;69;0
WireConnection;124;1;125;0
WireConnection;124;2;126;0
WireConnection;117;0;83;0
WireConnection;117;1;118;0
WireConnection;117;2;119;0
WireConnection;117;3;119;0
WireConnection;117;4;118;0
WireConnection;0;2;124;0
WireConnection;0;10;117;0
ASEEND*/
//CHKSM=291BC7C0389BDB6FFCCDA536012BEF5A0689327C